Botan 1.10.17

Namespaces | Functions
mp_shift.cpp File Reference
`#include <botan/internal/mp_core.h>`
`#include <botan/mem_ops.h>`

Go to the source code of this file.

## Namespaces
| Botan

## Functions
void | Botan::bigint_shl1 (word x[], size_t x_size, size_t word_shift, size_t bit_shift)
void | Botan::bigint_shl2 (word y[], const word x[], size_t x_size, size_t word_shift, size_t bit_shift)
void | Botan::bigint_shr1 (word x[], size_t x_size, size_t word_shift, size_t bit_shift)
void | Botan::bigint_shr2 (word y[], const word x[], size_t x_size, size_t word_shift, size_t bit_shift)